#header {
  height: auto !important;
}

#notification_text {
  font-weight: bold;
  color: red;
}

.custom-select {
  width: 100%;
}

.icon {
  cursor: pointer;
  font-size: 18px;
}

select:disabled {
  cursor: not-allowed;
}

input[type="checkbox"][readonly] {
  pointer-events: none;
  opacity: 0.5;
  filter: alpha(opacity=50); /* IE<9 */
  cursor: default;
}

table {
 border-collapse: separate;
 border-spacing: 0px;
 margin: 1em 0;
}

thead tr {
  border-left: 1px solid #dee2e6;
}

th:not(:last-child) {
  border-right: 1px solid #dee2e6;
}

.no-filter * {
  display: none;
}

th.no-filter {
  vertical-align: top !important;
}

table,
td,
th {
  table-layout: fixed;
  overflow-x: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

th.drp_menu {
  overflow-x: visible;
}

.overflow_visible {
  overflow: visible;
}

.rb_wrapper {
  height: 100%;
  width: 100%;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  position: absolute;
  background: linear-gradient(
    124deg,
    #ff2400,
    #e81d1d,
    #e8b71d,
    #e3e81d,
    #1de840,
    #1ddde8,
    #2b1de8,
    #dd00f3,
    #dd00f3
  );
  background-size: 1800% 1800%;
  background-color: none;

  -webkit-animation: rainbow 18s ease infinite;
  -z-animation: rainbow 18s ease infinite;
  -o-animation: rainbow 18s ease infinite;
  animation: rainbow 18s ease infinite;
}

@-webkit-keyframes rainbow {
  0% {
    background-position: 0% 82%;
  }
  50% {
    background-position: 100% 19%;
  }
  100% {
    background-position: 0% 82%;
  }
}
@-moz-keyframes rainbow {
  0% {
    background-position: 0% 82%;
  }
  50% {
    background-position: 100% 19%;
  }
  100% {
    background-position: 0% 82%;
  }
}
@-o-keyframes rainbow {
  0% {
    background-position: 0% 82%;
  }
  50% {
    background-position: 100% 19%;
  }
  100% {
    background-position: 0% 82%;
  }
}
@keyframes rainbow {
  0% {
    background-position: 0% 82%;
  }
  50% {
    background-position: 100% 19%;
  }
  100% {
    background-position: 0% 82%;
  }
}

body.easteregg {
  -webkit-transform: scaleX(-1);
  -moz-transform: scaleX(-1);
  -ms-transform: scaleX(-1);
  -o-transform: scaleX(-1);
  transform: scaleX(-1);
}

.tilt {
  display: inline-block;
  background-color: #aaaaaa;
  transform: skew(20deg);
  font-size: 1px;
  padding: 1px;
  color: white;
}

.ui-widget-overlay {
  background: #aaa url(images/ui-bg_flat_0_aaaaaa_40x100.png) 50% 50% repeat-x;
  opacity: 0.3;
  filter: Alpha(Opacity=30);
  z-index: 9999;
}

.form-control.select_exam {
  display: block;
}

#room_list {
  float: left;
  width: 50%;
}

#room_map {
  float: right;
  margin-top: 64px;
  position: sticky;
  width: 50%;
}

.grab {
  cursor: hand;
  cursor: grab;
  cursor: -moz-grab;
  cursor: -webkit-grab;
}

.grabbing {
  cursor: grabbing;
  cursor: -moz-grabbing;
  cursor: -webkit-grabbing;
}

#navigation_order {
  width: 60%;
}

.sortable { 
  list-style-type: none;
  margin: 0; 
  padding: 0;
}

.sortable li { 
  list-style-type: none;
  margin: 0 5px 5px 5px; 
  padding: 5px;
  padding-left: 10px;
}

.second li.ui-state-default {
  background-color: white;
}

.second li.ui-state-default_dark {
  background-color: #333;
}

.nav_checkbox {
	float: right;
}

.ui-tooltip {
    white-space: pre-line;
}

.edit_row {
  overflow: visible;
}

g.light {
  fill: white;
  stroke: black;
}

g.dark {
  fill: #333;
  stroke: #dee2e6;
}

input[type="checkbox"] {
  height: 18px;
  width: 18px;
  -webkit-appearance: none;
  -moz-appearance: none;
  -o-appearance: none;
  appearance: none;
  outline: 1px solid #333;
  box-shadow: none;
  text-align: center;
  line-height: 1em;
  background: #ddd;
  font-size: 18px;
  font-weight: bold;
  border-radius: 2px;
  margin-top: 10px;
  overflow: hidden;
}

#navigation_order input[type="checkbox"] {
  margin-top: 2px !important;
}

#navigation_order li {
  border-radius: 5px;
}

input[type='checkbox']:checked:after {
  content: '✔';
  color: black;
}

.fa-square-o, .fa-check-square-o {
  font-size: 20px;
}

.nav-link.active{
  border-radius: 5px 5px 0px 0px;
}

select, textarea, 
input[type="text"], 
input[type="password"], 
#single_button_login {
  border-radius: 5px !important;
}

.ui-menu { 
  width: 400px;
  padding: 2px;
  border-radius: 5px;
}

.ui-menu li{
  border-bottom: 1px #eee solid;
  padding-left: 12px;
}

button {
  margin-bottom: .5rem;
}

.clip {
  overflow-x: clip;
}

.ui-dialog {
  z-index: 1000 !important ;
}

.internal_info {
  height: 33vh;
  width: 100%;
}

table li {
  overflow-x: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.testing_date {
  width: 45%;
  display: unset;
}

.sticky {
  position: sticky;
  z-index: 1000;
}
